<?php include _include(APP_PATH.'view/htm/header.inc.htm');?>

<!--{hook thread_start.htm}-->

<div class="row">
<!--{hook zsb.htm}-->
<div class="col-lg-9 main">
<div class="border-1">
		<!--{hook thread_breadcrumb_before.htm}-->
		
		<!--{hook thread_breadcrumb_after.htm}-->
		
		<div class="card1">
			<div class="card-body">
			<div class="me-all thread">
				<div class="media1">
					<a href="<?php echo url("user-$thread[uid]");?>" tabindex="-1">
						<img class="avatar-3 mr-3" src="<?php echo $thread['user_avatar_url'];?>">
					</a>
					<div class="media-body">
						<!--{hook thread_subject_before.htm}-->
						<h4 class="break-all">
							<!--{hook thread_subject_start.htm}-->
							<?php echo $thread['subject'];?>
							<!--{hook thread_subject_end.htm}-->
							<span class="time1"><?php echo $thread['create_date_fmt'];?></span>
						</h4>
						<!--{hook thread_subject_after.htm}-->
						<div class="d-flex justify-content-between-1 small1">
							<div>
								<!--{hook thread_username_before.htm}-->
								<span class="username">
									<a href="<?php echo url("user-$thread[uid]");?>" class="f666 font-weight-bold"><?php echo $thread['username'];?></a>
								</span>
								
								<span class="f666-1">  <?php echo $thread['views'];?>°</span>
								<!--{hook thread_views_after.htm}-->
							</div>
							<div>
								<!--{hook thread_update_before.htm}-->
								<?php if($allowupdate || $first['allowupdate']) { ?>
								<a href="<?php echo url("post-update-$thread[firstpid]");?>" class="b-1 mr-2 post_update"><?php echo lang('edit');?></a>
								<?php } ?>
								
								<?php if($allowdelete || $first['allowdelete']) { ?>
								<a data-href="<?php echo url("post-delete-$thread[firstpid]");?>" href="javascript:void(0);" class="b-1 post_delete" isfirst="1"><?php echo lang('delete');?></a>
								<?php } ?>
								<!--{hook thread_delete_after.htm}-->
							</div>
						</div>
					</div>
				</div>
				
				<div class="message fc6">
				<?php if($page == 1) { ?>
				
					<!--{hook thread_message_before.htm}-->
					<?php echo $first['message_fmt'];?>
					<!--{hook thread_message_after.htm}-->
					
					<?php echo post_file_list_html($first['filelist']);?>
					<!--{hook thread_filelist_after.htm}-->
					
				<?php } else { ?>
				
					<!--{hook thread_message_more_before.htm}-->
					<p><a href="<?php echo url("thread-$tid");?>"><?php echo lang('view_thread_message');?></a></p>
					<!--{hook thread_message_more_after.htm}-->
					
				<?php } ?>
				</div>

				<!--{hook thread_plugin_before.htm}-->
				<div class="plugin d-flex mt-33">
				<div class="haya-post-like px-2">
			<span class="btn-group" role="group">
		<span class="btn001">
<i class="icon iconfont icon-pinglun wzwz"></i>
</span>
<span class="btn001">
					<span><?php echo $thread['posts'];?></span>
				</span>
			</span>
		</div>
					<!--{hook thread_plugin_body.htm}-->
				</div>
				<!--{hook thread_plugin_after.htm}-->
</div>
			</div>
		</div>
		
		<!--{hook thread_postlist_before.htm}-->
		
		<div class="card1 card-postlist">
			<div class="card-body">
				
				<ul class="list-unstyled-1 postlist">
				<?php if(!empty($user)) { ?>
					<li class="post-1 newpost media">
						<a href="<?php echo url("user-$user[uid]");?>" class="mr-3-1" tabindex="-1">
							<img class="avatar-3" src="<?php echo $user['avatar_url'];?>">
						</a>
						<div class="media-body">
							<div class="d-flex justify-content-between-1 small1 text-muted">
								<div>
									
								</div>
								<div>
									<span class="time1" id="newfloor">#<?php echo ($thread['posts'] + 2);?></span>
								</div>
							</div>
							<div>
								<form action="<?php echo url("post-create-$tid-1");?>" method="post" id="quick_reply_form" class="d-block">	
									<input type="hidden" name="doctype" value="1" />
									<input type="hidden" name="return_html" value="1" />
									<input type="hidden" name="quotepid" value="0" />
									<!--{hook thread_quick_reply_message_before.htm}-->
									<div class="message mt-1">
										<textarea class="form-control-1" placeholder="<?php echo lang('message');?>" name="message" id="message"></textarea>
									</div>
									<!--{hook thread_quick_reply_message_after.htm}-->
									<div class="text-muted mt-2">
										
											<div>
												<!--{hook thread_quick_reply_left_start.htm}-->
												<button type="submit" class="btn-6 btn-sm time1 btn-secondary" id="submit" data-loading-text="<?php echo lang('submiting');?>..."> <?php echo lang('post_create');?> </button>
												<!--{hook thread_quick_reply_left_end.htm}-->
											</div>
											<div>
												<!--{hook thread_quick_reply_right_start.htm}-->
												<a class="btn-7" href="<?php echo url("post-create-$tid");?>" id="advanced_reply"> <?php echo lang('advanced_reply');?></a>
												<!--{hook thread_quick_reply_right_end.htm}-->
											</div>
									
									</div>
									<!--{hook thread_quick_reply_submit_after.htm}-->
									
								</form>
							</div>
						</div>
					</li>
					<?php } ?>
				
					<?php include _include(APP_PATH.'view/htm/post_list.inc.htm'); ?>
					
					
							
				</ul>
			</div>
		</div>
		</div>
		<!--{hook thread_postlist_after.htm}-->
		<div class="card card-site-info border-1">
		<div class="d-none threadlist"><input type="checkbox" name="modtid" value="<?php echo $thread['tid']; ?>" checked /></div>
		<?php include _include(APP_PATH.'view/htm/thread_list_mod.inc.htm');?>
		
		<?php if($pagination) { ?>
		<nav><ul class="pagination my-4 justify-content-center flex-wrap"><?php echo $pagination; ?></ul></nav>
		<?php }?>
		
		<!--{hook thread_page_after.htm}-->
		
		</div>
	</div>
	
<!--{hook ysb.htm}-->

</div>
	
<!--{hook thread_end.htm}-->

<?php include _include(APP_PATH.'view/htm/footer.inc.htm');?>
	</div>
<script>

var jform = $('#quick_reply_form');

var jsubmit = $('#submit');

jform.on('submit', function() {

	jform.reset();

	jsubmit.button('loading');

	var postdata = jform.serialize();

	$.xpost(jform.attr('action'), postdata, function(code, message) {

		if(code == 0) {

			$.alert("评论成功！").delay(1000).location();

			

		} else if(code < 0) {

			$.alert(message);

			jsubmit.button('reset');

		} else {

			jform.find('[name="'+code+'"]').alert(message).focus();

			jsubmit.button('reset');

		}

	});

	return false;

});





// 缩放图片，适应屏幕大小。

function resize_image() {

	var jmessagelist = $('div.message');

	var first_width = jmessagelist.width(); // 815 : 746; //  734 746

	jmessagelist.each(function() {

		var jdiv = $(this);

		var maxwidth = jdiv.attr('isfirst') ? first_width : jdiv.width(); //  734 746

		var jmessage_width = Math.min(jdiv.width(), maxwidth);

		jdiv.find('img, embed, iframe, video').each(function() {

			var jimg = $(this);

			var img_width = this.org_width;

			var img_height = this.org_height;

			if(!img_width) {

				var img_width = jimg.attr('width');

				var img_height = jimg.attr('height');

				this.org_width = img_width;

				this.org_height = img_height;

			}

			//var percent = xn.min(100, xn.ceil((img_width / jmessage_width) * 100));

			if(img_width > jmessage_width) {

				if(this.tagName == 'IMG') {

					jimg.width(jmessage_width);

					jimg.css('height', 'auto');

					jimg.css('cursor', 'pointer');

					jimg.on('click', function() {

						//window.open(jimg.attr('src'));

					});

				} else {

					jimg.width(jmessage_width);

					var height = (img_height / img_width) * jimg.width();

					jimg.height(height);

				}

			}

		});

	});

}



// 对于超宽的表格，加上响应式

function resize_table() {

	$('div.message').each(function() {

		var jdiv = $(this);

		jdiv.find('table').addClass('table').wrap('<div class="table-responsive"></div>'); 

	});

}



$(function() {

	resize_image();

	resize_table();

	$(window).on('resize', resize_image);

});



// 输入框自动伸缩



var jmessage = $('#message');

jmessage.on('focus', function() {if(jmessage.t) { clearTimeout(jmessage.t); jmessage.t = null; } jmessage.css('height', '8rem'); });

jmessage.on('blur', function() {jmessage.t = setTimeout(function() { jmessage.css('height', '2.5rem');}, 1000); });



$('li[data-active="fid-<?php echo $fid;?>"]').addClass('active');



</script>
<?php if($thread['closed'] && ($gid == 0 || $gid > 5)) { ?>
<script>
jmessage.val('<?php echo lang('thread_has_already_closed');?>').attr('readonly', 'readonly');
</script>
<?php } ?>
<!--{hook thread_js.htm}-->